Subject: Re: [PATCH] compat/regex: fix compilation on Windows

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 May 2017 10:18:19 +0900

Johannes Schindelin <[email-masked]> writes:

> The real issue here is that GNU awk's regex implementation assumes a bit
> too much about the relative sizes of pointers and long integers. What they
> really want is to use intptr_t.

Good.  I got annoyed enough to do the same myself before opening my
mailbox.  One thing that is curious about your version is that it
still has "#include <stdint.h>" behind HAVE_STDINT_H; when I tried
to compile an equivalent of your change last night, the compilation
failed because intptr_t wasn't available without exposing <stdint.h>

Where is Windows build getting its intptr_t, I wonder.